<?php
if (!$user->auth() || ($user->auth() && $acl->isForumCategoryCreate == 0)){
	twig("/forum.lm", ["block"	=>	"no_access"]);
}
$t = "Создание категории на форуме";
if (isset($_POST["create"])){
	if (!isset($_POST["name"]) || empty($_POST["name"])){
		$core->regError("","Введите название категории", 1, "Forum");
	} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
		$core->regError("","Введите описание категории", 2, "Forum");
	} elseif (strlen(trim($_POST['name'])) < 4) {
		$core->regError("","Слишком короткое название категории (от 4-128 символов)", 3, "Forum");
	} elseif (strlen(trim($_POST['name'])) > 128) {
		$core->regError("","Слишком длинное название категории (от 4-128 символов)", 3, "Forum");
	} else {	
		if ($user->checkSpam()){
			$core->regError("","Вы выполняете действие слишком часто.<br>Повторите попытку через 15 секунд.",1,"AntiSpam");
		} else {
			$user->spamUpdate();
			#$db->Query("INSERT INTO `forum_topics`(`cid`, `sid`, `uid`, `name`, `timeadd`, `lastUpdate`) VALUES ('".$id."','".$site->id."','".$user->uid."','".$core->FilterString($_POST["name"])."','".$time."','".$time."');");
			#$_id = $db->getLastID();
			$db->Query("INSERT INTO `forum_cat`(`sid`, `name`, `txt`) VALUES ('".$site->id."', '".$core->FilterString($_POST["name"])."', '".$core->FilterString($_POST["sms"])."');");
			$_sms = $db->getLastID();
			#$db->Query("UPDATE `forum_topics` SET `sms`='".$_sms."' WHERE `tid` = '".$_id."'");
			header("Location: /forum.lm?id=".$_sms);
			die();
		}
	}
}
twig("/forum.lm", ["block"	=>	"create_category"]);
?>